polybori::groebner::LexHelper Class Reference

This class defines LexHelper. More...

`#include <LexHelper.h>`

## Public Types

typedef Polynomial::const_iterator | iterator_type

## Static Public Member Functions

static bool | irreducible_lead (const Monomial &m, const ReductionStrategy &strat)
static Polynomial::const_iterator | begin (const Polynomial &p)
static Polynomial::const_iterator | end (const Polynomial &p)
static Polynomial | nf (const ReductionStrategy &strat, const Polynomial &p, const Monomial &m)
static bool | knowRestIsIrreducible (const iterator_type &it, const ReductionStrategy &strat)
static Polynomial | sum_range (std::vector< Monomial > &vec, const iterator_type &it, const iterator_type &end, Polynomial init)

## Static Public Attributes

static const bool | isDegreeOrder =false
static const bool | isLexicographicalOrder =true

## Detailed Description

This class defines LexHelper.

## Member Typedef Documentation

typedef Polynomial::const_iterator polybori::groebner::LexHelper::iterator_type

## Member Function Documentation

static Polynomial::const_iterator polybori::groebner::LexHelper::begin | ( | const Polynomial & | p) |  |

inline static

References polybori::BoolePolynomial::begin().

static Polynomial::const_iterator polybori::groebner::LexHelper::end | ( | const Polynomial & | p) |  |

inline static

References polybori::BoolePolynomial::end().

static bool polybori::groebner::LexHelper::irreducible_lead | ( | const Monomial & | m,
|  | const ReductionStrategy & | strat
| ) |  |

inline static

References polybori::BooleMonomial::divisors(), polybori::BooleSet::expBegin(), polybori::BooleSet::expEnd(), polybori::groebner::irreducible_lead(), polybori::CCuddDDFacade< RingType, DiagramType >::isZero(), polybori::groebner::ReductionTerms::leadingTerms, and polybori::groebner::ReductionOptions::optRedTailDegGrowth.

static bool polybori::groebner::LexHelper::knowRestIsIrreducible | ( | const iterator_type & | it,
|  | const ReductionStrategy & | strat
| ) |  |

inline static

References polybori::groebner::ReductionOptions::reducibleUntil.

static Polynomial polybori::groebner::LexHelper::nf | ( | const ReductionStrategy & | strat,
|  | const Polynomial & | p,
|  | const Monomial & | m
| ) |  |

inline static

References polybori::groebner::nf3(), polybori::groebner::nf3_no_deg_growth(), and polybori::groebner::ReductionOptions::optRedTailDegGrowth.

static Polynomial polybori::groebner::LexHelper::sum_range | ( | std::vector< Monomial > & | vec,
|  | const iterator_type & | it,
|  | const iterator_type & | end,
|  | Polynomial | init
| ) |  |

inline static

References polybori::term_accumulate().

## Member Data Documentation

const bool polybori::groebner::LexHelper::isDegreeOrder =false

static

const bool polybori::groebner::LexHelper::isLexicographicalOrder =true

static

The documentation for this class was generated from the following file:

- LexHelper.h